<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__i2s__pins__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_i2s_pins_t</compoundname>
    <includes local="no">cyhal_i2s.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__i2s__pins__t_1a06f418e1a73780daacabb034e78ad0d9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_i2s_pins_t::sck</definition>
        <argsstring />
        <name>sck</name>
        <briefdescription>
<para>Clock pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="161" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="161" />
      </memberdef>
      <memberdef id="structcyhal__i2s__pins__t_1ac1888b4fa0b934f7c48598ced0fc5ba5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_i2s_pins_t::ws</definition>
        <argsstring />
        <name>ws</name>
        <briefdescription>
<para>Word select. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="162" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="162" />
      </memberdef>
      <memberdef id="structcyhal__i2s__pins__t_1a9b80d91c0f3aa4d02905351de66016c4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_i2s_pins_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Data pin (sdo or sdi) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="163" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="163" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Pins to use for one I2S direction. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="164" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" bodystart="160" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2s.h" line="160" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__i2s__pins__t_1a9b80d91c0f3aa4d02905351de66016c4" virt="non-virtual"><scope>cyhal_i2s_pins_t</scope><name>data</name></member>
      <member prot="public" refid="structcyhal__i2s__pins__t_1a06f418e1a73780daacabb034e78ad0d9" virt="non-virtual"><scope>cyhal_i2s_pins_t</scope><name>sck</name></member>
      <member prot="public" refid="structcyhal__i2s__pins__t_1ac1888b4fa0b934f7c48598ced0fc5ba5" virt="non-virtual"><scope>cyhal_i2s_pins_t</scope><name>ws</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>